phrSetOutputFileName {phreeqc} | R Documentation

## Set the name of the output file.

### Description

Sets the name of the output file. The default value is phreeqc.0.out.

### Usage

    phrSetOutputFileName(filename)

### Arguments

`filename` | the name of the file.

### Details

The output file must be turned on using the `phrSetOutputFileOn` function.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Output: `phrGetOutputFileName`, `phrGetOutputFileOn`, `phrGetOutputStringsOn`, `phrGetOutputStrings`, `phrSetOutputFileOn`, `phrSetOutputStringsOn`

### Examples

    # This example equilibrates pure water with calcite and displays
    # the resulting file name.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputFileOn(TRUE)
    phrSetOutputFileName("phreeqc.output")
    input <- c(
      'SOLUTION 1 Pure water ',
      'EQUILIBRIUM_PHASES 1  ',
      '    Calcite 0 10      '
      )

    if (is.null(phrRunString(input))) {
      cat("see", phrGetOutputFileName(), "\n")
    }

[Package phreeqc version 3.4.10 Index]